/**
 * Enum representing available OpenAI models
 */
var EOpenAIModel;
(function (EOpenAIModel) {
    // GPT-3.5 Turbo series
    EOpenAIModel["GPT_35_TURBO"] = "gpt-3.5-turbo";
    EOpenAIModel["GPT_35_TURBO_0125"] = "gpt-3.5-turbo-0125";
    EOpenAIModel["GPT_35_TURBO_1106"] = "gpt-3.5-turbo-1106";
    // GPT-4 (Original)
    EOpenAIModel["GPT_4"] = "gpt-4";
    // GPT-4.1 series (Latest 2025 models)
    EOpenAIModel["GPT_4_1"] = "gpt-4.1";
    EOpenAIModel["GPT_4_1_MINI"] = "gpt-4.1-mini";
    EOpenAIModel["GPT_4_1_NANO"] = "gpt-4.1-nano";
    EOpenAIModel["GPT_4_32K"] = "gpt-4-32k";
    // GPT-4 Turbo
    EOpenAIModel["GPT_4_TURBO"] = "gpt-4-turbo";
    EOpenAIModel["GPT_4_TURBO_PREVIEW"] = "gpt-4-turbo-preview";
    // GPT-4o series (Omni models)
    EOpenAIModel["GPT_4O"] = "gpt-4o-2024-11-20";
    EOpenAIModel["GPT_4O_AUGUST"] = "gpt-4o-2024-08-06";
    EOpenAIModel["GPT_4O_MAY"] = "gpt-4o";
    EOpenAIModel["GPT_4O_MINI"] = "gpt-4o-mini";
    EOpenAIModel["O1"] = "o1";
    EOpenAIModel["O1_MINI"] = "o1-mini";
    EOpenAIModel["O1_PREVIEW"] = "o1-preview";
    EOpenAIModel["O3"] = "o3";
    EOpenAIModel["O3_MINI"] = "o3-mini";
    // O-series (Reasoning models)
    EOpenAIModel["O4_MINI"] = "o4-mini";
})(EOpenAIModel || (EOpenAIModel = {}));

export { EOpenAIModel };
//# sourceMappingURL=openai-model.enum.js.map
